DBusHeader Struct Reference

Message header data and some cached details of it. More...

`#include <dbus-marshal-header.h>`

## Data Fields

DBusString | data
| Header network data, stored separately from body so we can independently realloc it.
DBusHeaderField | fields [DBUS_HEADER_FIELD_LAST+1]
| Track the location of each field in header.
dbus_uint32_t | padding: 3
| bytes of alignment in header
dbus_uint32_t | byte_order: 8
| byte order of header

## Detailed Description

Message header data and some cached details of it.

Definition at line 47 of file dbus-marshal-header.h.

The documentation for this struct was generated from the following file:

- dbus-marshal-header.h